/**
 * 徐祥健<xuxj@hugeinfo.com.cn>
 * 2018年7月16日 19:56
 *
 */


import React from 'react';
import { Input, Icon, Button } from 'antd';
import logo from '../../asset/image/logo.png'
import './style.scss';


export default class LoginView extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
      userName: '',
      password: ''
    };
  }
  onChangeUserName = (e) => {
    this.setState({ userName: e.target.value });
  }
  onChangePassword = (e) => {
    this.setState({ password: e.target.value });
  }
  render() {
    const { onClick } = this.props;
    return (
      <React.Fragment>
        <div className="login-view-main">
          <div><img src={logo} style={{ width: '200px' }} /></div>
          <div className='login-view-text'>南沙区人民检察院阳光检务后台管理</div>
        </div>
        <div className="login-view-content">
          <div className="login-view-body">
            <div className='login-view-wel'>欢迎登录</div>
            <div className='login-view-from'>
              <Input
                placeholder="请输入用户名"
                prefix={<Icon type="user" style={{ color: '#1790FF' }} />}
                onChange={this.onChangeUserName}
              />
              <Input
                style={{ paddingTop: '30px' }}
                type='password'
                placeholder=" 请输入密码"
                prefix={<Icon type="lock" style={{ color: '#1790FF', paddingTop: '30px' }} />}
                onChange={this.onChangePassword}
              />
            </div>
            <div className='login-view-btn'>
              <Button style={{ width: '345px' }} type="primary" onClick={() => onClick(this.state.userName, this.state.password)}>登录</Button>
            </div>
          </div>
        </div>
      </React.Fragment>
    );
  }

}
